﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
INSTRUMENT:            Sub LeCroy WSXs (1 yr) Ext Leakage Current IEEE /DMM
DATE:                  2007-10-22 10:20:02
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       199
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Model(s) Covered:
#        WS24Xs, WS42Xs, WS44Xs, WS64Xs, WS62Xs, WS104Xs
#
#  Compatibility:
#        MET/CAL 7.20b or later
#
#  Subprocedures:
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Get Accuracy /DMM
#        Sub LeCroy WSXs Cal Initialize IEEE
#
#  Required Files:
#       Cable, 50 Ohms, BNC(m)-(m)
#       BNC female to double stacking banana plug, Pomona 1269
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

  1.004  CALL         Sub LeCroy WSXs Cal Initialize IEEE
  1.005  MATH         Ch = @Chan

  1.006  JMPL         CHANNEL_LEAKAGE_CURRENT         PSUBI("Chan Leakage")
  1.007  JMPL         EXT_TRIG_LEAKAGE_CURRENT        PSUBI("Ext Leakage")
  1.008  DISP         {Undefined subprocedure!}
  1.009  END

  1.010  EVAL   Increment step number

# ====================== Channel Leakage Current ============================

  2.001  LABEL        CHANNEL_LEAKAGE_CURRENT

  2.002  IF           Ch == 1
  2.003  RSLT         =
  2.004  HEAD         CHANNEL LEAKAGE CURRENT TEST
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V Ch]

  2.008  RSLT         =
  2.009  HEAD         CH [V Ch] LEAKAGE CURRENT TEST:( DC 50 Ohms, 20 mV/div)
  2.010  TARGET       -p
  2.011  CALL         Sub Initialize /DMM
  2.012  CALL         Sub Reset /DMM
  2.013  DISP         Connect the [V @DMM_DevName] [V @DMM_InputHi] and
  2.013  DISP         [V @DMM_InputLo](on front) to UUT channel [V Ch]
  2.013  DISP         via a BNC female to double stacking banana plug
  2.013  DISP         and BNC(m)-(m) 50 Ohms cable.
  2.013  DISP
  2.013  DISP         Make sure to select [V @DMM_DevName] front inputs if
  2.013  DISP         rear inputs is available.
  2.014  IEEE2        TDIV 50E-9
  2.015  IEEE2        TRMD AUTO
  2.016  IEEE2        C[V Ch]:CPL D50;VDIV 20E-3
  2.017  TSET         TDESC = DC 50 Ohms, 20 mV/div
  2.018  TARGET       -m
  2.019  MATH         @DMM_Func = "DC_Voltage"
  2.020  CALL         Sub Measure /DMM
  2.021  MATH         @DMM_Meas = MEM
  2.022  CALL         Sub Get Accuracy /DMM
  2.023  MATH         L[1] = @DMM_Acc / 1E-3
  2.024  ACC          mV             L1U
  2.025  MATH         MEM = @DMM_Meas / 1E-3
  2.026  MEMC         0.00mV         2U

  3.001  RSLT         =
  3.002  HEAD         CH [V Ch] LEAKAGE CURRENT TEST:( DC 50 Ohms, 200 mV/div)
  3.003  TARGET       -p
  3.004  IEEE2        C[V Ch]:CPL D50;VDIV 200E-3
  3.005  TSET         TDESC = DC 50 Ohms, 200 mV/div
  3.006  TARGET       -m
  3.007  CALL         Sub Measure /DMM
  3.008  MATH         @DMM_Meas = MEM
  3.009  CALL         Sub Get Accuracy /DMM
  3.010  MATH         L[1] = @DMM_Acc / 1E-3
  3.011  ACC          mV             L1U
  3.012  MATH         MEM = @DMM_Meas / 1E-3
  3.013  MEMC         0.00mV         2U

  4.001  RSLT         =
  4.002  HEAD         CH [V Ch] LEAKAGE CURRENT TEST:( DC 1 MOhm, 20 mV/div)
  4.003  TARGET       -p
  4.004  IEEE2        C[V Ch]:CPL D1M;VDIV 20E-3
  4.005  TSET         TDESC = DC 1 MOhm, 20 mV/div
  4.006  TARGET       -m
  4.007  CALL         Sub Measure /DMM
  4.008  MATH         @DMM_Meas = MEM
  4.009  CALL         Sub Get Accuracy /DMM
  4.010  MATH         L[1] = @DMM_Acc / 1E-3
  4.011  ACC          mV             L1U
  4.012  MATH         MEM = @DMM_Meas / 1E-3
  4.013  MEMC         0.00mV         2U

  5.001  RSLT         =
  5.002  HEAD         CH [V Ch] LEAKAGE CURRENT TEST:( DC 1 MOhm, 200 mV/div)
  5.003  TARGET       -p
  5.004  IEEE2        C[V Ch]:CPL D1M;VDIV 200E-3
  5.005  TSET         TDESC = DC 1 MOhm, 200 mV/div
  5.006  TARGET       -m
  5.007  CALL         Sub Measure /DMM
  5.008  MATH         @DMM_Meas = MEM
  5.009  CALL         Sub Get Accuracy /DMM
  5.010  MATH         L[1] = @DMM_Acc / 1E-3
  5.011  ACC          mV             L1U
  5.012  MATH         MEM = @DMM_Meas / 1E-3
  5.013  MEMC         0.00mV         2U

  6.001  CALL         Sub Reset /DMM
  6.002  END

  6.003  EVAL   Increment step number

# ====================== External Trigger Leakage Current ===================

  7.001  LABEL        EXT_TRIG_LEAKAGE_CURRENT
  7.002  RSLT         =
  7.003  RSLT         =EXTERNAL TRIGGER LEAKAGE CURRENT TEST

  7.004  RSLT         =
  7.005  HEAD         EXTERNAL TRIGGER LEAKAGE CURRENT TEST (DC 50 Ohms)
  7.006  TARGET       -p
  7.007  CALL         Sub Reset /DMM
  7.008  DISP         Connect the [V @DMM_DevName] [V @DMM_InputHi] and
  7.008  DISP         [V @DMM_InputLo](on front) to UUT EXT via a
  7.008  DISP         BNC female to double stacking banana plug and
  7.008  DISP         BNC(m)-(m) 50 Ohms cable.
  7.008  DISP
  7.008  DISP         Make sure to select [V @DMM_DevName] front inputs if
  7.008  DISP         rear inputs is available.
  7.009  IEEE2        TRSE EDGE,SR,EX;EX:TRSL POS;TRCP DC;CPL D50
  7.010  TSET         TDESC = DC 50 Ohms
  7.011  TARGET       -m
  7.012  MATH         @DMM_Func = "DC_Voltage"
  7.013  CALL         Sub Measure /DMM
  7.014  MATH         @DMM_Meas = MEM
  7.015  CALL         Sub Get Accuracy /DMM
  7.016  MATH         L[1] = @DMM_Acc / 1E-3
  7.017  ACC          mV             L1U
  7.018  MATH         MEM = MEM / 1E-3
  7.019  MEMC         0.00mV         2U

  8.001  RSLT         =
  8.002  HEAD         EXTERNAL TRIGGER LEAKAGE CURRENT TEST (DC 1 MOhm)
  8.003  TARGET       -p
  8.004  IEEE2        TRSE EDGE,SR,EX;EX:TRSL POS;TRCP DC;CPL D1M
  8.005  TSET         TDESC = DC 1 MOhm
  8.006  TARGET       -m
  8.007  CALL         Sub Measure /DMM
  8.008  MATH         @DMM_Meas = MEM
  8.009  CALL         Sub Get Accuracy /DMM
  8.010  MATH         L[1] = @DMM_Acc / 1E-3
  8.011  ACC          mV             L1U
  8.012  MATH         MEM = MEM / 1E-3
  8.013  MEMC         0.00mV         2U

  9.001  CALL         Sub Reset /DMM
  9.002  END
