﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WSXs Set BW & Number of Channels
DATE:                  2008-03-25 14:33:23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       68
=============================================================================
#
#  Procedure Author:  VY, ZY
#
#  Model(s) Covered:  WS24Xs, WS42Xs, WS44Xs, WS64Xs, WS62Xs, WS104Xs
#
#  Compatibility:     MET/CAL or 5500/CAL 7.20 or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           ZCMPI(@ModelNum, "WS24Xs")
  1.002  MATH         @Bandwidth = 200E+6; @NumChan = 4

  1.003  ELSEIF       ZCMPI(@ModelNum, "WS42Xs")
  1.004  MATH         @Bandwidth = 400E+6; @NumChan = 2

  1.005  ELSEIF       ZCMPI(@ModelNum, "WS44Xs")
  1.006  MATH         @Bandwidth = 400E+6; @NumChan = 4

  1.007  ELSEIF       ZCMPI(@ModelNum, "WS64Xs")
  1.008  MATH         @Bandwidth = 600E+6; @NumChan = 4

  1.009  ELSEIF       ZCMPI(@ModelNum, "WS62Xs")
  1.010  MATH         @Bandwidth = 600E+6; @NumChan = 2

  1.011  ELSEIF       ZCMPI(@ModelNum, "WS104Xs")
  1.012  MATH         @Bandwidth = 1000E+6; @NumChan = 4

  1.013  ELSE
  1.014  DISP         Sub LeCroy WSXs Set BW & Number of Channels
  1.014  DISP
  1.014  DISP         Unsupported model number: [V @ModelNum]
  1.015  ENDIF

  1.016  END
